> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Evaluation Document Results

> Get per-document summaries: extraction cost and field accuracy for each document.



## OpenAPI

````yaml https://document-assistant.us.aodocs.app/openapi.json get /assistant/api/v1/tenants/{tenant}/libraries/{library_id}/evaluations/{evaluation_id}/documents
openapi: 3.1.0
info:
  title: Document Assistant API
  description: |
    <p>
      The Document Assistant API enables developers to integrate document-based assistant
      functionalities into their applications using AODocs.
    </p>
    <p>
      The first step is to enable AIDA (AODocs Intelligent Document Assistant) in your tenant.
      The support team will provide you with the necessary information on how to get started.
    </p>
    <p>
      The second step is to enable AIDA on libraries. You need to be an administrator of the
      library to do this.<br />
      AIDA can answer questions only from those documents that are in an AIDA enabled
      library.<br />
      We create a vector store index for these documents. This can take some time. The get
      library API provides the status of the indexation and an estimate of the time
      remaining.<br />
      The content of the index is automatically kept up-to-date near real time with the
      content changes.
    </p>
    <p>
      The third step is to ask questions based on the AODocs documents.<br />
      AIDA automatically filters the results based on the user's permissions.
    </p>
    <p>
      <strong>Authentication:</strong> All API endpoints require a valid OAuth2 token in the
      Authorization header. Ensure the client ID of the OAuth2 token is whitelisted in AODocs.
    </p>
  version: 1.1.0
servers:
  - url: https://document-assistant.us.aodocs.app
    description: Production US
  - url: https://document-assistant.eu.aodocs.app
    description: Production EU
security: []
paths:
  /assistant/api/v1/tenants/{tenant}/libraries/{library_id}/evaluations/{evaluation_id}/documents:
    get:
      tags:
        - metadata_evaluation
      summary: Get Evaluation Document Results
      description: >-
        Get per-document summaries: extraction cost and field accuracy for each
        document.
      operationId: >-
        get_evaluation_document_results_assistant_api_v1_tenants__tenant__libraries__library_id__evaluations__evaluation_id__documents_get
      parameters:
        - name: evaluation_id
          in: path
          required: true
          schema:
            type: string
            description: Evaluation ID
            title: Evaluation Id
          description: Evaluation ID
        - name: tenant
          in: path
          required: true
          schema:
            type: string
            description: The domain of the customer
            examples:
              - example.com
            title: Tenant
          description: The domain of the customer
        - name: pageToken
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Pagetoken
        - name: size
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiDocumentResultList'
        '404':
          description: Evaluation not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiDocumentResultList:
      properties:
        documents:
          items:
            $ref: '#/components/schemas/ApiDocumentResult'
          type: array
          title: Documents
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
      type: object
      required:
        - documents
      title: ApiDocumentResultList
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApiDocumentResult:
      properties:
        evaluation_id:
          type: string
          title: Evaluation Id
        document_id:
          type: string
          title: Document Id
        document_title:
          type: string
          title: Document Title
        extraction_cost:
          anyOf:
            - type: number
            - type: 'null'
          title: Extraction Cost
          description: LLM cost in USD for extracting this document's metadata.
        correct_fields:
          type: integer
          title: Correct Fields
        total_fields:
          type: integer
          title: Total Fields
        accuracy:
          type: number
          title: Accuracy
          description: Fraction of fields correct (0.0–1.0).
      type: object
      required:
        - evaluation_id
        - document_id
        - document_title
        - correct_fields
        - total_fields
        - accuracy
      title: ApiDocumentResult
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````